<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
if (strlen(session_id()) < 1)
session_start();

require_once('../modelos/Contrato.php');

$contrato=new Contrato();

$idcontrato=isset($_POST["idcontrato"])? limpiarCadena($_POST["idcontrato"]):"";
$idusuario=$_SESSION["idusuario"];
$idcaja=$_SESSION["idcaja"];
$idpersona=isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):""; ///NOMBRE CLIENTE
$iddireccion=isset($_POST["iddireccion"])? limpiarCadena($_POST["iddireccion"]):"";
$moneda=isset($_POST["moneda"])? limpiarCadena($_POST["moneda"]):"";
$fecha_hora=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$idservicio=isset($_POST["idservicio"])? limpiarCadena($_POST["idservicio"]):"";
$idtecnologia=isset($_POST["idtecnologia"])? limpiarCadena($_POST["idtecnologia"]):"";
$idolt=isset($_POST["idolt"])? limpiarCadena($_POST["idolt"]):"";
$idplan=isset($_POST["idplan"])? limpiarCadena($_POST["idplan"]):"";
$desplan=isset($_POST["desplan"])? limpiarCadena($_POST["desplan"]):"";
$mensualidad=isset($_POST["mensualidad"])? limpiarCadena($_POST["mensualidad"]):"";
$tipo=isset($_POST["tipo"])? limpiarCadena($_POST["tipo"]):"";
$fechapago=isset($_POST["fechapago"])? limpiarCadena($_POST["fechapago"]):"";
$paga=isset($_POST["paga"])? limpiarCadena($_POST["paga"]):"";
$modalidad=isset($_POST["modalidad"])? limpiarCadena($_POST["modalidad"]):"";
$fechainstalacion=isset($_POST["fechainstalacion"])? limpiarCadena($_POST["fechainstalacion"]):"";
$codigotipo_comprobante=isset($_POST["codigotipo_comprobante"])? limpiarCadena($_POST["codigotipo_comprobante"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$idcategoria_ingreso=isset($_POST["idcategoria_ingreso"])? limpiarCadena($_POST["idcategoria_ingreso"]):"";
$idconcepto_ingreso=isset($_POST["idconcepto_ingreso"])? limpiarCadena($_POST["idconcepto_ingreso"]):"";
$idcuota=isset($_POST["idcuota"])? limpiarCadena($_POST["idcuota"]):"";
$monto=isset($_POST["monto"])? limpiarCadena($_POST["monto"]):"";
$comentario_mensualidad=isset($_POST["comentario_mensualidad"])? limpiarCadena($_POST["comentario_mensualidad"]):"";
$montocuota=isset($_POST["montocuota"])? limpiarCadena($_POST["montocuota"]):"";
$descripcion_cuota=isset($_POST["descripcion_cuota"])? limpiarCadena($_POST["descripcion_cuota"]):"";
$fecha_pago=isset($_POST["fecha_pago"])? limpiarCadena($_POST["fecha_pago"]):"";
$nombre_cliente=isset($_POST["nombre_cliente"])? limpiarCadena($_POST["nombre_cliente"]):"";
$usuario_cliente=isset($_POST["usuario_cliente"])? limpiarCadena($_POST["usuario_cliente"]):"";
$password=isset($_POST["password"])? limpiarCadena($_POST["password"]):"";
$upload_servicio=isset($_POST["upload_servicio"])? limpiarCadena($_POST["upload_servicio"]):"";
$download_servicio=isset($_POST["download_servicio"])? limpiarCadena($_POST["download_servicio"]):"";
$idtorre=isset($_POST["idtorre"])? limpiarCadena($_POST["idtorre"]):"";
$idrepetidor=isset($_POST["idrepetidor"])? limpiarCadena($_POST["idrepetidor"]):"";
$sit_linea=isset($_POST["sit_linea"])? limpiarCadena($_POST["sit_linea"]):"";
$mac_linea=isset($_POST["mac_linea"])? limpiarCadena($_POST["mac_linea"]):"";
$ip_linea=isset($_POST["ip_linea"])? limpiarCadena($_POST["ip_linea"]):"";
$tipo_pago=isset($_POST["tipo"])? limpiarCadena($_POST["tipo"]):"";
$forma_pago=isset($_POST["pago"])? limpiarCadena($_POST["pago"]):"";
$idbanco=isset($_POST["idbanco"])? limpiarCadena($_POST["idbanco"]):"";
$nro_operacion=isset($_POST["nrooperacion"])? limpiarCadena($_POST["nrooperacion"]):"";
$fecha_cancelacion=isset($_POST["fecha"])? limpiarCadena($_POST["fecha"]):"";
$monto_acuenta=isset($_POST["montoacuenta"])? limpiarCadena($_POST["montoacuenta"]):"";
$pago_cancelacion=isset($_POST["paga"])? limpiarCadena($_POST["paga"]):"";
$comentario_cancelacion=isset($_POST["comentario"])? limpiarCadena($_POST["comentario"]):"";
$idcuota_cancelacion=isset($_POST["idcuota1"])? limpiarCadena($_POST["idcuota1"]):"";
$idcontrato_cancelacion=isset($_POST["idcontrato1"])? limpiarCadena($_POST["idcontrato1"]):"";
$idtecnologia_cancelacion=isset($_POST["idtecnologia1"])? limpiarCadena($_POST["idtecnologia1"]):"";
$idcliente=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$nombre_banco=isset($_POST["nombre_banco"])? limpiarCadena($_POST["nombre_banco"]):"";
$monto_pagar=isset($_POST["monto_pagar"])? limpiarCadena($_POST["monto_pagar"]):"";
$monto_equipo=isset($_POST["montoequipo"])? limpiarCadena($_POST["montoequipo"]):"";
$monto_mensualidad=isset($_POST["montomensualidad"])? limpiarCadena($_POST["montomensualidad"]):"";
$estado_llamada=isset($_POST["estado"])? limpiarCadena($_POST["estado"]):"";
$estado_cuota=isset($_POST["estado_cuota"])? limpiarCadena($_POST["estado_cuota"]):"";
$nrorecibo=isset($_POST["nrorecibo"])? limpiarCadena($_POST["nrorecibo"]):"";
$estado_contrato=isset($_POST["estado_contrato"])? limpiarCadena($_POST["estado_contrato"]):"";
$situ_contrato=isset($_POST["sit_contrato"])? limpiarCadena($_POST["sit_contrato"]):"";

$celular=isset($_POST["celular"])? limpiarCadena($_POST["celular"]):"";
$telefono=isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$whatsapp=isset($_POST["whatsapp"])? limpiarCadena($_POST["whatsapp"]):"";
$nrocontrato=isset($_POST["nrocontrato"])? limpiarCadena($_POST["nrocontrato"]):"";
$radioComision=isset($_POST["radioComision"])? limpiarCadena($_POST["radioComision"]):"";
$idpersona_comision=isset($_POST["idpersona_comision"])? limpiarCadena($_POST["idpersona_comision"]):"";
$cliente_nombre=isset($_POST["cliente_nombre"])? limpiarCadena($_POST["cliente_nombre"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
        if(empty($idcontrato))
        {
          $rspta=$contrato->insertar($idusuario,$idpersona,$iddireccion,$fecha_hora,$idservicio,$idtecnologia,$idolt,$idplan,$desplan,$mensualidad,$idtorre,$idrepetidor,$tipo,$fechapago,$paga,$modalidad,$fechainstalacion,$descripcion,$idcategoria_ingreso,$idconcepto_ingreso,$codigotipo_comprobante,$nombre_cliente,$upload_servicio,$download_servicio,$radioComision,$idpersona_comision);
          echo $rspta ? "Contrato Registrado" : "Contrato no se pudo registrar";
        }
        else {
            $rspta=$contrato->editar($idcontrato,$nombre_contrato,$idtecnologia,$idolt,$precio,$descripcion,$upload_servicio,$download_servicio);
            echo $rspta ? "Contrato Actualizada" : "Contrato no se pudo actualizar";
        }
      break;

      case 'editar_contrato':
        {
          $rspta=$contrato->editar_contrato($idcontrato,$situ_contrato,$estado_contrato,$idusuario,$idpersona,$iddireccion,$idservicio,$idtecnologia,$idolt,$idplan,$desplan,$mensualidad,$idtorre,$idrepetidor,$descripcion,$upload_servicio,$download_servicio,$paga);
          echo $rspta;
        }
      break;

      case 'editar':
        {
          $rspta=$contrato->editar($idcuota,$monto,$comentario_mensualidad,$montocuota,$descripcion_cuota,$fecha_pago,$estado_cuota,$nrorecibo);
          echo $rspta ? "Cuota Actualizada" : "Cuota no se pudo registrar";
        }
      break;

      case 'editar_fibra':
        {
          $rspta=$contrato->editar_fibra($idusuario,$idcontrato,$idtorre,$idolt,$sit_linea,$usuario_cliente,$password,$idplan,$upload_servicio,$download_servicio,$cliente_nombre);
          echo $rspta;
        }
      break;

      case 'editar_internet':
        {
          $rspta=$contrato->editar_internet($idusuario,$idcontrato,$idtorre,$idrepetidor,$sit_linea,$mac_linea,$ip_linea,$idplan,$upload_servicio,$download_servicio,$cliente_nombre);
          echo $rspta ? "Datos Internet Wifi Actualizada" : "Datos Internet Wifi no se pudo actualizar";
        }
      break;

      case 'guardarfacturacion':
        {
          $rspta=$contrato->guardarfacturacion($idcuota_cancelacion,$tipo_pago,$forma_pago,$idbanco,$nro_operacion,$fecha_cancelacion,$monto_acuenta,$pago_cancelacion,$comentario_cancelacion,$idusuario,$idcontrato_cancelacion,$idtecnologia_cancelacion,$idcliente,$idcaja,$nombre_banco,$monto_pagar);
          echo $rspta ? "Pago Cuota Registrado" : "Pago Cuota Registrado no se pudo registrar";
        }
      break;

      case 'guardarllamada':
        {
          $rspta=$contrato->guardarllamada($idcontrato,$descripcion,$monto_equipo,$monto_mensualidad,$estado_llamada,$idusuario);
          echo $rspta ? "Mensaje Registrado" : "Mensaje no se pudo registrar";
        }
      break;

      case 'guardarextencion':
        {
          $rspta=$contrato->guardarextencion($idcontrato,$tipo,$fecha_hora,$fechapago,$idusuario);
          echo $rspta ? "Extencion Registrado" : "Extencion no se pudo registrar";
        }
      break;

      case 'guardar_movimiento_llamada':
        {
          $rspta=$contrato->guardar_movimiento_llamada($idcontrato,$idpersona,$descripcion,$celular,$telefono,$whatsapp,$idusuario,$nrocontrato);
          echo $rspta ? "Descripcion Llamada Registrado" : "Descripcion Llamada no se pudo registrar";
        }
      break;
  
      case 'mostrar':
        $rspta=$contrato->mostrar($idcontrato);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'mostrar_fibra':
        $rspta=$contrato->mostrar_fibra($idcontrato);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'mostrar_internet':
        $rspta=$contrato->mostrar_internet($idcontrato);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'eliminar':
        $rspta=$contrato->eliminar($idcontrato);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'getCuota':
        $rspta=$contrato->getCuota($idcuota);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'getContrato':
        $rspta=$contrato->getContrato($contrato_refacturacion);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'mostrardetallecontrato':
        $rspta=$contrato->mostrardetallecontrato($idcontrato);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'mostrar_contrato_llamada':
        $rspta=$contrato->mostrar_contrato_llamada($idcontrato);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'mostrarLlamada':
        $id_llamada = isset($_GET['id']) ? intval($_GET['id']) : 0;
        $rspta = $contrato->mostrarLlamada($id_llamada);
        echo json_encode($rspta);
      break;

      case 'validarNroOperacion':
        $operacion = isset($_GET['id']) ? trim($_GET['id']) : '';
        $result = $contrato->validarNroOperacion($operacion);
        echo json_encode(["exists" => $result['count'] > 0 ? true : false]);
      break;


      case 'lista_negra':
        $rspta=$contrato->lista_negra();
        //Vamos a declarar un array
        $data=Array();
        $url2 = ''; // Valor por defecto para evitar que quede sin inicializar
        while($reg=$rspta->fetch_object())
        {
            if($reg->codigotipo_comprobante=='1' || $reg->codigotipo_comprobante=='3'){
                $url='../../reportes/contrato.php?id=';
            }else{
                $url='../reportes/preFactura.php?id=';
            }

            $urlver='create_ver.php?idcontrato=';
            $url_linea='../vistas/actualizar_linea_cv.php?id=';
            $url2 = '#';

            // Asignar valor a $url2 si la tecnología es fibra
            if ($reg->idtecnologia == '3') {
                $url2 = "view_fibra.php?idcontrato=";
            }if ($reg->idtecnologia == '1') {
              $url2 = "view_internet.php?idcontrato=";
            }

            if($reg->estado_contrato == "Activo"){
              $estado_co ='<button class="btn btn-success btn-xs btn-flat">Activo</button>';
            }else{
              $estado_co ='<button class="btn btn-dark btn-xs btn-flat">Cancelado</button>';
            }
           
            $arg = '<a  href="' . $url2 . $reg->idcontrato.'"><button class="btn btn-dark btn-xs btn-flat " >'.$reg->sit_contrato.'</button> </a>'.
            '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat"  >Ver</button> </a>';
             
             $argmodalcontrato = '<button class="btn btn-warning  btn-xs btn-flat open-AddImgDialog" onclick="mostrardetallecontrato(' . $reg->idcontrato . ')" data-toggle="modal" data-target="#modalDetalleContrato">'.$reg->nrocontrato .'</button>';

          $data[]=array(
            "0"=>$reg->idcontrato,
            "1"=>$reg->fecha_hora,
            "2"=>$reg->cliente, 
            "3"=>$reg->num_documento,
            "4"=>$argmodalcontrato,
            "5"=>$reg->servicio,
            "6"=>$reg->nombre_plan,
            "7"=>$reg->modalidad,
            "8"=>$reg->monto_equipo,
            "9"=>$reg->monto_mensualidad,          
            "10"=>$arg
          );
        }
        $results= array(
          "sEcho"=>1, //Informacion para el datatable
          "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data);
        echo json_encode($results);
  
      break;
  
      case 'listarcontrato':
        $rspta=$contrato->listarcontrato();
        //Vamos a declarar un array
        $data=Array();
        $url2 = ''; // Valor por defecto para evitar que quede sin inicializar
        while($reg=$rspta->fetch_object())
        {
            if($reg->codigotipo_comprobante=='1' || $reg->codigotipo_comprobante=='3'){
                $url='../../reportes/contrato.php?id=';
                
            }else{
                $url='../reportes/preFactura.php?id=';
            }

            $urlver='create_ver.php?idcontrato=';
            $url_linea='../vistas/actualizar_linea_cv.php?id=';

            $url2 = '#';

            // Asignar valor a $url2 si la tecnología es fibra
            if ($reg->idtecnologia == '3') {
                $url2 = "view_fibra.php?idcontrato=";
            }if ($reg->idtecnologia == '1') {
              $url2 = "view_internet.php?idcontrato=";
            }

            if($reg->estado_contrato == "Activo"){
              $estado_co ='<button class="btn btn-success btn-xs btn-flat">Activo</button>';
            }else{
              $estado_co ='<button class="btn btn-dark btn-xs btn-flat">Cancelado</button>';
            }

            if($reg->estado_actualizar == 1){
              $actualizar =$reg->idcontrato;
            }else{
              $actualizar ='<button class="btn btn-danger btn-xs btn-flat">'.$reg->idcontrato.'</button>';
            }

            if($reg->sit_contrato =="pendiente"){
                $arg = '<a  href="' . $url2 . $reg->idcontrato.'"><button class="btn btn-danger btn-xs btn-flat " >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat"  >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat" onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
                $argEstado = '<button class="btn btn-danger btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
                         
             
              if($reg->sit_contrato =="listo"){
                $arg = '<a  href="'.$url2.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat" onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
                $argEstado = '<button class="btn btn-primary btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
             
              if($reg->sit_contrato =="activa"){
                $arg = '<a  href="'.$url2.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat" onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
                $argEstado = '<button class="btn btn-primary btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
             
               if($reg->sit_contrato =="corte"){
                $arg = '<a  href="'.$url2.$reg->idcontrato.'"><button class="btn btn-danger btn-xs btn-flat" >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat" onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
                $argEstado = '<button class="btn btn-danger btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
             
             if($reg->sit_contrato =="suspende"){
                $arg = '<a  href="'.$url2.$reg->idcontrato.'"><button class="btn btn-warning btn-xs btn-flat" >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat" onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
                $argEstado = '<button class="btn btn-danger btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
             
             if($reg->sit_contrato =="notifica"){
                $arg = '<a  href="'.$url2.$reg->idcontrato.'"><button class="btn btn-warning btn-xs btn-flat" >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat"  onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
                $argEstado = '<button class="btn btn-danger btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
             
               if($reg->sit_contrato =="baja"){
                $arg = '<a  href="'.$url2.$reg->idcontrato.'"><button class="btn btn-danger btn-xs btn-flat" >'.$reg->sit_contrato.'</button> </a>'.
               '<a  href="'.$urlver.$reg->idcontrato.'"><button class="btn btn-primary btn-xs btn-flat" >Ver</button> </a>'.
               '<a><button class="btn btn-warning btn-xs btn-flat" onclick="eliminar('.$reg->idcontrato.')"><i class="fa fa-close"></i> </button></a>'.	
               '<a target="_blank" href="'.$url.$reg->idcontrato.'"> <button class="btn btn-info btn-xs btn-flat"><i class="fa fa-file"></i> </button></a>'.
                '<a  href="'.$url_linea.$reg->idcontrato.'"> <button class="btn btn-success btn-xs btn-flat"><i class="fa fa-undo"></i> </button></a>';
               $argEstado = '<button class="btn btn-danger btn-xs btn-flat">'.$reg->sit_contrato.'</button>';
             }
             
             $argmodalcontrato = '<button class="btn btn-warning  btn-xs btn-flat open-AddImgDialog" onclick="mostrardetallecontrato(' . $reg->idcontrato . ')" data-toggle="modal" data-target="#modalDetalleContrato">'.$reg->nrocontrato .'</button>';

          $data[]=array(
            "0"=>$actualizar,
            "1"=>$reg->fecha_hora,
            "2"=>$reg->cliente, 
            "3"=>$reg->num_documento,
            "4"=>$argmodalcontrato,
            "5"=>$reg->servicio,
            "6"=>$reg->nombre_plan,
            "7"=>$reg->modalidad,
            "8"=>$estado_co,
            "9"=>$argEstado,          
            "10"=>$arg
          );
        }
        $results= array(
          "sEcho"=>1, //Informacion para el datatable
          "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data);
        echo json_encode($results);
  
      break;

      case 'selectcontratoTecnologia': 
        $idtecnologia=$_REQUEST["idtecnologia"];
        $rspta = $contrato->selectcontratoTecnologia($idtecnologia);
        if ($rspta) {
            while ($reg = $rspta->fetch_object()) {
                echo "<option value='" . htmlspecialchars($reg->idcontrato, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_contrato, ENT_QUOTES, 'UTF-8') . "</option>";
            }
        } else {
            echo "<option value=''>No hay olt disponibles</option>";
        }
        break;

        case 'selectcontratoPorOlt': 
          $idolt=$_REQUEST["idolt"];
          $rspta = $contrato->selectcontratoPorOlt($idolt);
          if ($rspta) {
              while ($reg = $rspta->fetch_object()) {
                  echo "<option value='" . htmlspecialchars($reg->idcontrato, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_contrato, ENT_QUOTES, 'UTF-8') . "</option>";
              }
          } else {
              echo "<option value=''>No hay olt disponibles</option>";
          }
          break;

          case 'selectContrato': 
            $idpersona=$_REQUEST["idpersona"];
            $rspta = $contrato->selectContrato($idpersona);
            if ($rspta) {
                while ($reg = $rspta->fetch_object()) {
                    echo "<option value='" . htmlspecialchars($reg->idcontrato, ENT_QUOTES, 'UTF-8') . "'>". htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') ."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" . htmlspecialchars($reg->nrocontrato, ENT_QUOTES, 'UTF-8') . " </option>";
                }
            } else {
                echo "<option value=''>No hay contrato disponibles</option>";
            }
            break;

            case 'selectContratoPersona': 
              $rspta = $contrato->selectContratoPersona();
              if ($rspta) {
                  while ($reg = $rspta->fetch_object()) {
                      echo "<option value='" . htmlspecialchars($reg->idcontrato, ENT_QUOTES, 'UTF-8') . "'>". htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') ."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" . htmlspecialchars($reg->nrocontrato, ENT_QUOTES, 'UTF-8') . " </option>";
                  }
              } else {
                  echo "<option value=''>No hay contrato disponibles</option>";
              }
              break;

            case 'obtenerDatosContrato':
              $idcontrato=$_GET["idcontrato"];
             // $idplan = $_POST['idplan'];
              $rspta=$contrato->obtenerDatosContrato($idcontrato);
               //Codificar el resultado utilizando json
               echo json_encode($rspta);
            break;

            case 'obtenerDatosPersona':
              $idpersona=$_GET["idpersona"];
             // $idplan = $_POST['idplan'];
              $rspta=$contrato->obtenerDatosPersona($idpersona);
               //Codificar el resultado utilizando json
               echo json_encode($rspta);
            break;
}